Namespace
arm64v8
Image / Tag
openjdk:21-ea-jdk-bullseye
Content Digest
sha256:b8f81e88a419bd68fe067856ce647844f401de736f8ea6ccac24112d47458ba7
Details
Created

2023-08-04 01:00:28 UTC

Size

326 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-21

JAVA_VERSION

21-ea+34

LANG

C.UTF-8

PATH

/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:49185a1a3bc353699370ac57d50a7b7234b59616b6aebde79ba6a0a0314bb107 - 15.7% (51.2 MB)

[#001] sha256:c0f6f6b31000e991bdd81caebc21e281fc1350f09586d393f3b8bf36dceeb99e - 4.6% (15 MB)

[#002] sha256:385ee361272e1c36fe7d96fe8ab6b0f30cf33bfb9bbe29bfc2d33f51bd771993 - 15.99% (52.1 MB)

[#003] sha256:c3685694dfe4a43e9db9358680ffcb69ef3c8ee13df6588581a7bc2d034d0e00 - 4.54% (14.8 MB)

[#004] sha256:3bfad73e8368e4e5d874052c20f1fd4c1256cd75e153fc0f10095be264aecb3b - 59.17% (193 MB)


History
2023-07-27 23:43:07 UTC

/bin/sh -c #(nop) ADD file:a0144d077c2c6b73bbb5f7e7b8e6b58e4127de2a5faf907cd4e83e4d83437fad in /

2023-07-27 23:43:07 UTC

/bin/sh -c #(nop) CMD ["bash"]

2023-07-28 01:37:21 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl gnupg netbase wget ; rm -rf /var/lib/apt/lists/*

2023-07-28 01:37:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2023-07-28 10:41:11 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils binutils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2023-07-28 10:42:47 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-21

2023-07-28 10:42:48 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-07-28 10:42:48 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-08-04 01:00:18 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=21-ea+34

2023-08-04 01:00:26 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk21/34/GPL/openjdk-21-ea+34_linux-x64_bin.tar.gz'; downloadSha256='d16356385a726320077563c6180f2eabf72ded64b5695f24f3e7a2d3980b1f11'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk21/34/GPL/openjdk-21-ea+34_linux-aarch64_bin.tar.gz'; downloadSha256='cb862b1f34e15c99aacab2c9e6ed259ad056eaa3dfc547ebc6026630db64af94'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-08-04 01:00:28 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete